﻿label.umbraco-forms-label {
    display: block !important;
    font-weight: 600 !important;
    margin-bottom: 5px !important;
    background: 0 0 !important;
}
.umbraco-forms-my-custom-theme {
    background: #f2f2f2 !important;
    padding: 20px !important;
}

.form-control {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background-color: white !important;
}

.umbraco-forms-form {
    background: #f2f2f2 !important;
    padding: 20px !important;
    border-radius: 5px;
}


.form-check {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.form-check-input {
    order: 0;
    margin-right: 6px;
}

.form-check-label {
    order: 1;
}

.umbraco-forms-switch-button-theme .checkboxlist {
    display: grid !important; 
    grid-template-columns: 75px auto 75px auto !important; 
    gap: 14px 0px !important;
}

.umbraco-forms-switch-button-theme .form-check {
    display: flex;
    align-items: flex-start;
}

.form-check-input {
    margin-top: 6px;
    margin-right: 6px;
}

.umbraco-forms-form fieldset {
    margin: 15px 0px 0px 0px !important;
}

.umbraco-forms fieldset .umbraco-forms fieldset {
    padding: 10px 0px 0px 0px;
}

* {
    padding: 0;
    margin: 0;
}
.umbraco-forms-switch-button-theme .form-check-label {
    background-color: #d2d2d2;
    width: 50px;
    height: 25px;
    border-radius: 20px;
    cursor: pointer;
    position: relative;
    transition: 0.2s; 
    
}
.umbraco-forms-switch-button-theme .checkboxlist .form-check-label:hover {
    font-weight: bold;
    cursor: pointer;
}

.hover-effect {
    font-weight: bold;
}


.umbraco-forms-switch-button-theme .form-check-label::before {
    position: absolute;
    content: '';
    background-color: #fff;
    transition: 0.2s;
}

.umbraco-forms-switch-button-theme input:checked + .form-check-label {  
    color:white;
    background-color:black;
}

.umbraco-forms-switch-button-theme input:checked + .form-check-label::before {
    transform: translateX(25px);
}

.umbraco-forms-switch-button-theme input[type="checkbox"].form-check-input {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0; 
}

input:focus + label {
    outline: 2px solid black;
}

input:focus {
    outline: none;
    box-shadow: 0px 0px 0px 2px #005fa3;
    font-weight: bold;
}

input[type="checkbox"]:focus + label {
    font-weight: bold;
}

input[type="checkbox"]:checked + label {
    font-weight: bold;
}